Skip to main content

Definitions of Managed Objects for Bridges with Traffic Classes, Multicast Filtering, and Virtual LAN Extensions
draft-ietf-bridge-ext-v2-07

Revision differences

Document history

Date Rev. By Action
2012-08-22
07 (System) post-migration administrative database adjustment to the Yes position for Bert Wijnen
2012-08-22
07 (System) post-migration administrative database adjustment to the No Objection position for Russ Housley
2005-10-12
07 Amy Vezza State Changes to RFC Ed Queue from Approved-announcement sent by Amy Vezza
2005-10-03
07 Amy Vezza IESG state changed to Approved-announcement sent
2005-10-03
07 Amy Vezza IESG has approved the document
2005-10-03
07 Amy Vezza Closed "Approve" ballot
2005-09-30
07 (System) Removed from agenda for telechat - 2005-09-29
2005-09-29
07 Amy Vezza State Changes to Approved-announcement to be sent from IESG Evaluation by Amy Vezza
2005-09-29
07 Mark Townsley [Ballot Position Update] New position, No Objection, has been recorded for Mark Townsley by Mark Townsley
2005-09-29
07 Allison Mankin [Ballot Position Update] New position, No Objection, has been recorded for Allison Mankin by Allison Mankin
2005-09-29
07 Margaret Cullen [Ballot Position Update] New position, No Objection, has been recorded for Margaret Wasserman by Margaret Wasserman
2005-09-29
07 Alex Zinin [Ballot Position Update] New position, No Objection, has been recorded for Alex Zinin by Alex Zinin
2005-09-29
07 David Kessens [Ballot Position Update] New position, No Objection, has been recorded for David Kessens by David Kessens
2005-09-28
07 Bill Fenner [Ballot Position Update] New position, No Objection, has been recorded for Bill Fenner by Bill Fenner
2005-09-28
07 Jon Peterson [Ballot Position Update] New position, No Objection, has been recorded for Jon Peterson by Jon Peterson
2005-09-28
07 Sam Hartman [Ballot Position Update] New position, No Objection, has been recorded for Sam Hartman by Sam Hartman
2005-09-28
07 Bert Wijnen [Ballot Position Update] Position for Bert Wijnen has been changed to Yes from Discuss by Bert Wijnen
2005-09-27
07 Brian Carpenter [Ballot Position Update] New position, No Objection, has been recorded for Brian Carpenter by Brian Carpenter
2005-09-26
07 Russ Housley [Ballot Position Update] Position for Russ Housley has been changed to No Objection from Discuss by Russ Housley
2005-09-26
07 Ted Hardie [Ballot Position Update] New position, No Objection, has been recorded for Ted Hardie by Ted Hardie
2005-09-26
07 Russ Housley
[Ballot discuss]
This document will obsolete RFC 2674.  Normally, we ask such documents
  to include a summary of the changes.  Is there a …
[Ballot discuss]
This document will obsolete RFC 2674.  Normally, we ask such documents
  to include a summary of the changes.  Is there a reason we do not do
  so for MIBs?
2005-09-26
07 Russ Housley [Ballot Position Update] New position, Discuss, has been recorded for Russ Housley by Russ Housley
2005-09-26
07 Scott Hollenbeck [Ballot Position Update] New position, No Objection, has been recorded for Scott Hollenbeck by Scott Hollenbeck
2005-09-22
07 Bert Wijnen [Ballot discuss]
Keeping a DISCUSS till IETF Last Call ends (23 Sept)
2005-09-22
07 Bert Wijnen [Ballot Position Update] Position for Bert Wijnen has been changed to Discuss from Yes by Bert Wijnen
2005-09-22
07 Bert Wijnen Placed on agenda for telechat - 2005-09-29 by Bert Wijnen
2005-09-22
07 Bert Wijnen State Changes to IESG Evaluation from In Last Call by Bert Wijnen
2005-09-22
07 Bert Wijnen [Note]: 'IETF Last Call ends 23 Sept.' added by Bert Wijnen
2005-09-22
07 Bert Wijnen Status date has been changed to 2005-09-22 from 2005-07-21
2005-09-22
07 Bert Wijnen [Ballot Position Update] New position, Yes, has been recorded for Bert Wijnen
2005-09-22
07 Bert Wijnen Ballot has been issued by Bert Wijnen
2005-09-22
07 Bert Wijnen Created "Approve" ballot
2005-09-21
07 Michelle Cotton
IANA Last Call Comments:
As described in the IANA Considerations section, we understand this document to refer to previous IANA assignments but NO NEW IANA …
IANA Last Call Comments:
As described in the IANA Considerations section, we understand this document to refer to previous IANA assignments but NO NEW IANA actions are needed.
2005-09-09
07 Amy Vezza Last call sent
2005-09-09
07 Amy Vezza State Changes to In Last Call from Last Call Requested by Amy Vezza
2005-09-09
07 Bert Wijnen Last Call was requested by Bert Wijnen
2005-09-09
07 Bert Wijnen State Changes to Last Call Requested from AD Evaluation::AD Followup by Bert Wijnen
2005-09-09
07 (System) Ballot writeup text was added
2005-09-09
07 (System) Last call text was added
2005-09-09
07 (System) Ballot approval text was added
2005-08-22
07 (System) New version available: draft-ietf-bridge-ext-v2-07.txt
2005-08-01
07 (System) Sub state has been changed to AD Follow up from New Id Needed
2005-08-01
06 (System) New version available: draft-ietf-bridge-ext-v2-06.txt
2005-07-21
07 Bert Wijnen State Changes to AD Evaluation::Revised ID Needed from AD Evaluation::AD Followup by Bert Wijnen
2005-07-21
07 Bert Wijnen revised ID needed as per WG chair statement to
address latest set of comments
2005-07-21
07 Bert Wijnen Status date has been changed to 2005-07-21 from 2005-06-10
2005-07-01
07 (System) Sub state has been changed to AD Follow up from New Id Needed
2005-07-01
05 (System) New version available: draft-ietf-bridge-ext-v2-05.txt
2005-06-10
07 Bert Wijnen State Changes to AD Evaluation::Revised ID Needed from AD Evaluation by Bert Wijnen
2005-06-10
07 Bert Wijnen
AD MIB review of second MIB module in this document.

All in all, I think we need a new revision before we can
do IETF …
AD MIB review of second MIB module in this document.

All in all, I think we need a new revision before we can
do IETF Last Call.

Bert
-----Original Message-----
From: Wijnen, Bert (Bert)
Sent: Friday, June 10, 2005 23:06
To: dbharrington@comcast.net; 'Dan Romascanu (E-mail)'; 'David Levi'
Subject: RE: AD Review of: draft-ietf-bridge-ext-v2-04.txt


Oops, I had forgotten to check in detail the q-bridge-mib.
So for the record:

- smicng SYNTAX check
  C:\bwijnen\smicng\work>smicmfm qbridge.mi2
  E: f(qbridge.mi2), (197,9) quoted value must be immediately
  followed by a 'B', 'b', 'H', or 'h'
  E: f(qbridge.mi2), (197,24) quoted value must be immediately
  followed by a 'B','b', 'H', or 'h'
  E: f(qbridge.mi2), (392,27) quoted value must be immediately
  followed by a 'B','b', 'H', or 'h'
  E: f(qbridge.mi2), (395,32) quoted value must be immediately
  followed by a 'B','b', 'H', or 'h'
  E: f(qbridge.mi2), (432,63) End of line inside a hex or binary
    string - check for unmatched single quote
  E: f(qbridge.mi2), (434,61) End of line inside a hex or binary
    string - check for unmatched single quote
  E: f(qbridge.mi2), (488,19) End of line inside a hex or binary
    string - check for unmatched single quote
  ** 7 errors and 0 warnings in parsing

  That is indeed caused by one too many double quotes.
  Bt even after fixing that I get:

C:\bwijnen\smicng\work>smicng qbridge.inc
W: f(bridge.mi2), (198,24) Name of enumerated value "transparent-only" must not
contain a hyphen
W: f(bridge.mi2), (199,24) Name of enumerated value "sourceroute-only" must not
contain a hyphen
E: f(bridge.mi2), (1046,18) Index item "dot1dStaticAddress" may not have "read-w
rite", "write-only", "read-create", or "accessible-for-notify" access
E: f(bridge.mi2), (1046,38) Index item "dot1dStaticReceivePort" may not have "re
ad-write", "write-only", "read-create", or "accessible-for-notify" access
E: f(qbridge.mi2), (309,21) Must use "::="
E: f(qbridge.mi2), (368,23) Must use "::="
E: f(qbridge.mi2), (473,25) Must use "::="
E: f(qbridge.mi2), (544,28) Must use "::="
E: f(qbridge.mi2), (631,37) Must use "::="
E: f(qbridge.mi2), (732,31) Must use "::="
E: f(qbridge.mi2), (855,33) Must use "::="
E: f(qbridge.mi2), (988,29) Must use "::="
E: f(qbridge.mi2), (1118,28) Must use "::="
E: f(qbridge.mi2), (1253,26) Must use "::="
E: f(qbridge.mi2), (1414,36) Must use "::="
E: f(qbridge.mi2), (1528,38) Must use "::="
E: f(qbridge.mi2), (1607,37) Must use "::="
E: f(qbridge.mi2), (1716,31) Must use "::="
E: f(qbridge.mi2), (1807,30) Must use "::="
E: f(qbridge.mi2), (1,1) SMI item "Integer32" used in Q-BRIDGE-MIB, but not defi
ned or imported
W: f(qbridge.mi2), (470,15) Row "dot1qTpGroupEntry" does not have a consistent i
ndexing scheme - index items must be in same order as used in INDEX clause for "
base row" dot1qVlanCurrentEntry
W: f(qbridge.mi2), (541,15) Row "dot1qForwardAllEntry" does not have a consisten
t indexing scheme - index items must be in same order as used in INDEX clause fo
r "base row" dot1qVlanCurrentEntry
W: f(qbridge.mi2), (628,15) Row "dot1qForwardUnregisteredEntry" does not have a
consistent indexing scheme - index items must be in same order as used in INDEX
clause for "base row" dot1qVlanCurrentEntry
W: f(qbridge.mi2), (849,9) Row "dot1qStaticMulticastEntry" does not have a consi
stent indexing scheme - index items must be in same order as used in INDEX claus
e for "base row" dot1qVlanCurrentEntry
W: f(qbridge.mi2), (1115,15) Row "dot1qVlanStaticEntry" does not have a consiste
nt indexing scheme - index items must be in same order as used in INDEX clause f
or "base row" dot1qVlanCurrentEntry
W: f(qbridge.mi2), (1411,15) Row "dot1qPortVlanStatisticsEntry" does not have a
consistent indexing scheme - cannot specify an index item from additional "base
row" dot1dBasePortEntry, since can have only one "base row" which is dot1qVlanCu
rrentEntry
W: f(qbridge.mi2), (1525,15) Row "dot1qPortVlanHCStatisticsEntry" does not have
a consistent indexing scheme - cannot specify an index item from additional "bas
e row" dot1dBasePortEntry, since can have only one "base row" which is dot1qVlan
CurrentEntry
E: f(qbridge.mi2), (2102,21) Item "qBridgeFdbUnicastGroup" is not defined in mod
ule "Q-BRIDGE-MIB"
E: f(qbridge.mi2), (2197,21) Item "qBridgeFdbUnicastGroup" is not defined in mod
ule "Q-BRIDGE-MIB"

*** 20 errors and 9 warnings in parsing

So pls fix those first.

Bert
> -----Original Message-----
> From: David B Harrington [mailto:dbharrington@comcast.net]
> Sent: Friday, June 10, 2005 20:40
> To: 'Wijnen, Bert (Bert)'; 'Dan Romascanu (E-mail)'; 'David Levi'
> Subject: RE: AD Review of: draft-ietf-bridge-ext-v2-04.txt
>
>
> Hi Bert,
>
> In the q-bridge-mib, the VlanIdOrAnyOrNone has too many '"'
> characters. Remove the one following "to no VLAN." (line 214 in my
> copy).
>
> There are errors in the search-and-replace for group/subtree changes;
>
> We'll publish a quick revision that compiles properly.
>
> Sorry we got so sloppy on compile-checking these small changes.
>
> I'll respond to other issues once we have a compilable revision.
>
> Thanks,
> dbh
2005-06-10
07 Bert Wijnen
AD review comments posted to bridgemib list.
Not sure we should do IETF Last Call with so many (simple) syntax errors.
Checking with WG chairs. …
AD review comments posted to bridgemib list.
Not sure we should do IETF Last Call with so many (simple) syntax errors.
Checking with WG chairs.

-----Original Message-----
From: bridge-mib-bounces@ietf.org [mailto:bridge-mib-bounces@ietf.org]On
Behalf Of Wijnen, Bert (Bert)
Sent: Friday, June 10, 2005 14:53
To: David Harrington (E-mail); Dan Romascanu (E-mail);
vivian_ngai@acm.org; elbell@ntlworld.com
Cc: Bridge-Mib (E-mail)
Subject: [Bridge-mib] AD Review of: draft-ietf-bridge-ext-v2-04.txt


Here are my comments:

Serious issues:
---------------

- smicng compile (for SYNTAX check) gives:

  C:\bwijnen\smicng\work>smicng pbridge.inc
  E: f(pbridge.mi2), (220,34) Must use "::="
  E: f(pbridge.mi2), (280,5) Must use "::="
  E: f(pbridge.mi2), (336,35) Must use "::="
  E: f(pbridge.mi2), (386,30) Must use "::="
  E: f(pbridge.mi2), (447,44) Must use "::="
  E: f(pbridge.mi2), (488,26) Must use "::="
  E: f(pbridge.mi2), (547,26) Must use "::="
  E: f(pbridge.mi2), (639,26) Must use "::="
  E: f(pbridge.mi2), (726,32) Must use "::="

  Strange that you did not catch those !!??

  W: f(pbridge.mi2), (444,30) Row "dot1dPortOutboundAccessPriorityEntry" does not
  have a consistent indexing scheme - index item dot1dRegenUserPriority from base
  row dot1dUserPriorityRegenEntry is not defined as an index item

  The warning is OK, also existed in 2674.

I find it a bit hard to do IETF Last Call with so many compile erros,
even though they are very easy to fix. Can you do a quir revision?


Admin and nits:
---------------

- I think the abstract and title page should state that
  this document obsoletes RFC2674. Or so I understand from
  the REVISION clauses from the MIB Module itself.

- idnits gives OK

- Checking refenences I find:

!! Missing citation for Normative reference:
  P098 L021: [802.1w]    IEEE 802.1w-2001, "(Amendment to IEEE Standard 802.1D) IEEE

!! Missing citation for Informative reference:
  P098 L035: [RFC1525]    Decker, E., McCloghrie, K., Langille, P. and A.

!! Missing citation for Normative reference:
  P097 L026: [RFC2674]    Bell, E., Smith, A., Langille, P., Rijhsinghani, A. and

- would be good to have text on persistence behaviour of read-write objects

- For dot1dDeviceCapabilities and dot1dPortCapabilities it would be (much)
  better to move the comments (explaining what each bit means) into the
  DESCRIPTION clause of each definition

- smidiff tells me:

  C:\smi\mibs\work>smidiff ../ietf/P-BRIDGE-MIB ./P-BRIDGE-MIB
  ../ietf/P-BRIDGE-MIB:264: warning: use Integer32 instead of INTEGER in SMIv2
  ../ietf/P-BRIDGE-MIB:274: warning: use Integer32 instead of INTEGER in SMIv2
  ../ietf/P-BRIDGE-MIB:321: warning: use Integer32 instead of INTEGER in SMIv2
  ../ietf/P-BRIDGE-MIB:329: warning: use Integer32 instead of INTEGER in SMIv2
  ../ietf/P-BRIDGE-MIB:371: warning: use Integer32 instead of INTEGER in SMIv2
  ../ietf/P-BRIDGE-MIB:390: warning: use Integer32 instead of INTEGER in SMIv2
  ../ietf/P-BRIDGE-MIB:431: warning: use Integer32 instead of INTEGER in SMIv2
  ./P-BRIDGE-MIB:288: warning: use Integer32 instead of INTEGER in SMIv2
  ./P-BRIDGE-MIB:298: warning: use Integer32 instead of INTEGER in SMIv2
  ./P-BRIDGE-MIB:344: warning: use Integer32 instead of INTEGER in SMIv2
  ./P-BRIDGE-MIB:352: warning: use Integer32 instead of INTEGER in SMIv2
  ./P-BRIDGE-MIB:394: warning: use Integer32 instead of INTEGER in SMIv2
  ./P-BRIDGE-MIB:413: warning: use Integer32 instead of INTEGER in SMIv2
  ./P-BRIDGE-MIB:453: warning: use Integer32 instead of INTEGER in SMIv2

  warnings are OK, that is what we had in RFC 2674.

  ./P-BRIDGE-MIB:18 warning: contact of `P-BRIDGE-MIB' changed
  ./P-BRIDGE-MIB:18 warning: description of module identity definition
      `P-BRIDGE-MIB' changed
  ./P-BRIDGE-MIB:90 warning: revision `1999-08-25 00:00' changed
  ../ietf/P-BRIDGE-MIB:68 info: previous definition of `1999-08-25 00:00'

  above is OK

  ./P-BRIDGE-MIB:84 warning: revision `2004-12-13 00:00' added
  ../ietf/P-BRIDGE-MIB:18 info: previous definition of `P-BRIDGE-MIB'
  ./P-BRIDGE-MIB:598 warning: column `dot1dPortRestrictedGroupRegistration'
      has be en added
  ./P-BRIDGE-MIB:784 warning: description of object group definition
      `pBridgeExtCapGroup' changed
  ../ietf/P-BRIDGE-MIB:743 info: previous definition of `pBridgeExtCapGroup'
  ./P-BRIDGE-MIB:872 warning: legal status change from `current' to
      `deprecated' for `pBridgePortGmrpGroup'
  ../ietf/P-BRIDGE-MIB:829 info: previous definition of `pBridgePortGmrpGroup'
  ./P-BRIDGE-MIB:909 warning: group `pBridgePortGmrpGroup2' has been added
  ./P-BRIDGE-MIB:926 warning: legal status change from `current' to
    `deprecated' for `pBridgeCompliance'
  ../ietf/P-BRIDGE-MIB:869 info: previous definition of `pBridgeCompliance'
  ./P-BRIDGE-MIB:1019 warning: compliance `pBridgeCompliance2' has been added

  that seems all OK
2005-06-10
07 Bert Wijnen Status date has been changed to 2005-06-10 from 2005-06-09
2005-06-09
07 Bert Wijnen Status date has been changed to 2005-06-09 from
2005-06-09
07 Bert Wijnen State Changes to AD Evaluation from Publication Requested by Bert Wijnen
2005-05-23
07 Dinara Suleymanova Draft Added by Dinara Suleymanova in state Publication Requested
2005-05-19
04 (System) New version available: draft-ietf-bridge-ext-v2-04.txt
2004-11-18
03 (System) New version available: draft-ietf-bridge-ext-v2-03.txt
2004-03-25
02 (System) New version available: draft-ietf-bridge-ext-v2-02.txt
2002-09-23
01 (System) New version available: draft-ietf-bridge-ext-v2-01.txt
2002-03-26
00 (System) New version available: draft-ietf-bridge-ext-v2-00.txt